    The XSPEC thcomp convolution model: Thermally comptonized continuum.

xsthcomp
The xsthcomp model is a convolution model component.

The model is described at [1] .

>>> create_model_component("xsthcomp", "mdl")
>>> print(mdl)

Create a component of the xsthcomp model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.Gamma_tau thawed 1.7 1.001 10 mdl.kT_e thawed 50 0.5 150 keV mdl.cov_frac thawed 1 0 1 mdl.z frozen 0 0 5

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
Gamma_tau
The low-energy power-law photon index when positive and the Thomson optical depth (multiplied by -1) when negative.
kT_e
The electron temperature (high energy rollover)
cov_frac
The scattering fraction (between 0 and 1). If 1 then all of the seed photons will be Comptonized, and if 0 then only the original seed photons will be seen.
z
redshift

Notes

Unlike XSPEC, the convolution model is applied directly to the model, or models, rather than using the multiplication symbol.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelThcomp.html

Changes in CIAO

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023